<?php

        require_once ('../inventario/conexion.php');

        $objconexion = new conexion();

        $sentenciaselect = "SELECT 
        asignacionteclado.serial_teclado,
        asignacionteclado.Cedula,
        registro_persona.Nombre,
        registro_persona.Apellido,
        sedes.nombre_sede,
        areas.nombre_areas,
        asignacionteclado.fecha_ingreso,
        asignacionteclado.observacion


        from asignacionteclado,registro_persona,sedes,areas where registro_persona.cedula=asignacionteclado.cedula and registro_persona.sede=sedes.id_sede AND registro_persona.area=areas.id_area
and areas.nombre_areas= (case when NOT EXISTS(select areas.nombre_areas from areas where areas.nombre_areas ='". $_GET['var1']."') then areas.nombre_areas 
else '". $_GET['var1']."' end) 
AND sedes.nombre_sede =(case when NOT EXISTS(select sedes.nombre_sede from sedes where sedes.nombre_sede = '". $_GET['var1']."') then sedes.nombre_sede else '". $_GET['var1']."' end) 
AND asignacionteclado.Cedula =(case when NOT EXISTS(select asignacionteclado.Cedula from asignacionteclado where asignacionteclado.Cedula = '". $_GET['var1']."') then asignacionteclado.Cedula else '". $_GET['var1']."' end)";


$arreglo = $objconexion->consultararraynum($sentenciaselect);
mostrar($arreglo);
        
function mostrar($inarreglo)
{
    $numfilas=count($inarreglo);                           

    for ($i=0; $i<$numfilas; $i++){
         echo "<tr>";
         $numcolumnas = count ($inarreglo[$i]);


    for ($j=0; $j<$numcolumnas; $j++){

        echo "<td>";
        echo $inarreglo[$i][$j];
        echo "</td>";


    }
    echo "</tr>";
}
}


?>